repositories {
    mavenLocal()
    maven {
      def repo = project.properties.'biz.redsoft.public.repo'
      url repo
      if (repo.contains("http:/"))
        allowInsecureProtocol = true
      if (project.credentials.user != null && project.credentials.password != null) {
            credentials {
                username project.credentials.user
                password project.credentials.password
            }
        }
    }
}